feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Compiler.Imperative.Plugin.Unroll

# Documentation

data SemInfPrg

Constructors

SemInfPrg |
Fields position :: Int varNames :: [String] loopVar :: String

Instances

Eq SemInfPrg |
Show SemInfPrg |
Default (Maybe SemInfPrg) |

data UnrollSemInf

Instances

Annotation UnrollSemInf ComplexConst |
Annotation UnrollSemInf ArrayConst |
Annotation UnrollSemInf BoolConst |
Annotation UnrollSemInf FloatConst |
Annotation UnrollSemInf IntConst |
Annotation UnrollSemInf UnionField |
Annotation UnrollSemInf StructField |
Annotation UnrollSemInf ArrayElem |
Annotation UnrollSemInf SizeOf |
Annotation UnrollSemInf Cast |
Annotation UnrollSemInf FunctionCall |
Annotation UnrollSemInf ParLoop |
Annotation UnrollSemInf SeqLoop |
Annotation UnrollSemInf Switch |
Annotation UnrollSemInf Branch |
Annotation UnrollSemInf Sequence |
Annotation UnrollSemInf ProcedureCall |
Annotation UnrollSemInf Assign |
Annotation UnrollSemInf Comment |
Annotation UnrollSemInf Empty |
Annotation UnrollSemInf GlobalVar |
Annotation UnrollSemInf Prototype |
Annotation UnrollSemInf Procedure |
Annotation UnrollSemInf Union |
Annotation UnrollSemInf Struct |
Annotation UnrollSemInf Variable |
Annotation UnrollSemInf Constant |
Annotation UnrollSemInf Expression |
Annotation UnrollSemInf Declaration |
Annotation UnrollSemInf ActualParameter |
Annotation UnrollSemInf SwitchCase |
Annotation UnrollSemInf Program |
Annotation UnrollSemInf Block |
Annotation UnrollSemInf UnionMember |
Annotation UnrollSemInf StructMember |
Annotation UnrollSemInf Definition |
Annotation UnrollSemInf Module |

data UnrollPlugin

Constructors

UnrollPlugin |

Instances

Transformation UnrollPlugin |
Plugin UnrollPlugin |

data Unroll_1

Constructors

Unroll_1 |

Instances

Transformation Unroll_1 |
Transformable Unroll_1 Program |

data Unroll_2

Constructors

Unroll_2 |

Instances

Transformation Unroll_2 |
Transformable Unroll_2 Variable |
Transformable Unroll_2 Expression |
Transformable Unroll_2 Program |